# coding: utf-8

"""
    OpenAPI definition

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: v0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from java_api_python_client.models.ingredient_dto import IngredientDto

class TestIngredientDto(unittest.TestCase):
    """IngredientDto unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> IngredientDto:
        """Test IngredientDto
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `IngredientDto`
        """
        model = IngredientDto()
        if include_optional:
            return IngredientDto(
                id = '',
                name = '',
                units = [
                    java_api_python_client.models.unit_dto.UnitDto(
                        id = '', 
                        name = '', )
                    ],
                types = [
                    'VEGETABLE'
                    ]
            )
        else:
            return IngredientDto(
                id = '',
                name = '',
                units = [
                    java_api_python_client.models.unit_dto.UnitDto(
                        id = '', 
                        name = '', )
                    ],
                types = [
                    'VEGETABLE'
                    ],
        )
        """

    def testIngredientDto(self):
        """Test IngredientDto"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
